import Vue from 'vue';

async function getPointPolicyList(page) {
    return Vue.axios.get("/admin/point-policies?page=" + (page - 1) + "&page_size=20")
}

async function createPointPolicyList(request) {
    return Vue.axios.post("/admin/point-policies", request)
}

async function updatePointPolicyList(id, request) {
    return Vue.axios.put("/admin/point-policies/" + id, request)
}

export {
    getPointPolicyList,
    createPointPolicyList,
    updatePointPolicyList
}
